| Tilt Five NDK |

Data Fields
T5_GlassesPose Struct Reference
Tilt Five™ Common Types

Glasses pose information to be retrieved with t5GetGlassesPose() More...

`#include <types.h>`

Collaboration diagram for T5_GlassesPose:
[legend]

## Data Fields
uint64_t | timestampNanos
| The timestamp of the pose. More...
T5_Vec3 | posGLS_GBD
| The position of the origin of the GLS (glasses) frame relative to the GBD (gameboard) frame. More...
T5_Quat | rotToGLS_GBD
| The rotation that transforms points in the GBD (gameboard) frame orientation to the GLS (glasses) frame orientation. More...
T5_GameboardType | gameboardType
| The type of gameboard visible for this pose. More...

## Detailed Description

Glasses pose information to be retrieved with t5GetGlassesPose()

The pose describes the relationship between two reference frames: one defined in terms of the glasses, and the other in terms of the gameboard. Both reference frames are right-handed. The glasses reference frame, abbreviated as GLS, has its origin at the midpoint between the effective optical position of the projectors. It is oriented such that +X points to the right, +Y points up, and +Z points backward for someone wearing the glasses. The gameboard reference frame, abbreviated GBD, is oriented such that +X points to the right, +Y points forward, and +Z points up from the perspective of a person facing the gameboard on a table from the side of the gameboard with the T5 logo. The origin of the gameboard reference frame is located at the point equidistant from the three gameboard sides nearest to the T5 logo (i.e. the side on which the logo appears and the two adjacent sides). This places the gameboard origin in the center of the square LE gameboard, and off-center along the longer dimension of the rectangular XE gameboard.

Definition at line 199 of file types.h.

## Field Documentation

## ◆ gameboardType

T5_GameboardType T5_GlassesPose::gameboardType

The type of gameboard visible for this pose.

Definition at line 212 of file types.h.

Referenced by operator<<().

## ◆ posGLS_GBD

T5_Vec3 T5_GlassesPose::posGLS_GBD

The position of the origin of the GLS (glasses) frame relative to the GBD (gameboard) frame.

Definition at line 205 of file types.h.

Referenced by operator<<().

## ◆ rotToGLS_GBD

T5_Quat T5_GlassesPose::rotToGLS_GBD

The rotation that transforms points in the GBD (gameboard) frame orientation to the GLS (glasses) frame orientation.

Definition at line 209 of file types.h.

Referenced by operator<<().

## ◆ timestampNanos

uint64_t T5_GlassesPose::timestampNanos

The timestamp of the pose.

Definition at line 201 of file types.h.

Referenced by operator<<().

The documentation for this struct was generated from the following file:

- types.h